summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAdam Feldman <NP-Hardass@gentoo.org>2020-09-05 12:19:45 -0400
committerAdam Feldman <NP-Hardass@gentoo.org>2020-09-25 16:32:19 -0400
commite472e5537b6977d89ae7740404b85a04ccc64244 (patch)
tree2a7356942bdad95ae10ba3637b9df57e2266da90 /mate-extra
parentapp-text/atril: Bump to 1.24.0-r2, synctex optional, add broken tests (diff)
downloadgentoo-e472e5537b6977d89ae7740404b85a04ccc64244.tar.gz
gentoo-e472e5537b6977d89ae7740404b85a04ccc64244.tar.bz2
gentoo-e472e5537b6977d89ae7740404b85a04ccc64244.zip
mate-extra/caja-extensions: Bump to 1.24.1
Bug: https://bugs.gentoo.org/605630 Package-Manager: Portage-2.3.103, Repoman-2.3.23 Signed-off-by: Adam Feldman <NP-Hardass@gentoo.org>
Diffstat (limited to 'mate-extra')
-rw-r--r--mate-extra/caja-extensions/Manifest1
-rw-r--r--mate-extra/caja-extensions/caja-extensions-1.24.1.ebuild77
2 files changed, 78 insertions, 0 deletions
diff --git a/mate-extra/caja-extensions/Manifest b/mate-extra/caja-extensions/Manifest
index a4d63a3aee8..a6b0d1076a2 100644
--- a/mate-extra/caja-extensions/Manifest
+++ b/mate-extra/caja-extensions/Manifest
@@ -1 +1,2 @@
DIST caja-extensions-1.24.0.tar.xz 548828 BLAKE2B 0492e1f0ca7277737102f71fd195dd585614010b80c2aafd730aacd1d817b03fe0377c430615a3e4bd4a643558c02c9c4fdb2d451079a3b213fe0e6b9d4e02de SHA512 f05a7d83f16aebacb04f75b76ca86e44c1a01d9ad6c2aefeac19398c4d9da8385e6852fa0118c763aee630e7eb6c7c81d77e0c9452200aee9cf4f058487c4dbf
+DIST caja-extensions-1.24.1.tar.xz 552340 BLAKE2B fff9b70ccdc79905283bdd4e773c8ad6e85cbbc543f4f70af992d91eba1e86d8c2be074dab4154360b836179718e8dbb2837261779a20321b42a2d00c69088ec SHA512 b844a774271d81ac811b1aff1f04be4a65c6e38a683938dfb593f65297a6398fbfe4c8f6a51c649a1311fb5ca8134b4478860f51b1b3eaf9965a6b8776af2817
diff --git a/mate-extra/caja-extensions/caja-extensions-1.24.1.ebuild b/mate-extra/caja-extensions/caja-extensions-1.24.1.ebuild
new file mode 100644
index 00000000000..d31c92bc108
--- /dev/null
+++ b/mate-extra/caja-extensions/caja-extensions-1.24.1.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+MATE_LA_PUNT="yes"
+
+inherit mate
+
+if [[ ${PV} != 9999 ]]; then
+ KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+fi
+
+DESCRIPTION="Several Caja extensions"
+LICENSE="GPL-2+"
+SLOT="0"
+
+SENDTO="cdr gajim +mail pidgin upnp"
+IUSE="image-converter +open-terminal share +wallpaper xattr ${SENDTO}"
+
+COMMON_DEPEND=">=dev-libs/glib-2.50:2
+ >=mate-base/caja-1.21.3
+ x11-libs/gdk-pixbuf:2
+ >=x11-libs/gtk+-3.22:3
+ gajim? (
+ >=dev-libs/dbus-glib-0.60
+ >=sys-apps/dbus-1
+ )
+ open-terminal? ( >=mate-base/mate-desktop-1.17.0 )
+ pidgin? ( >=dev-libs/dbus-glib-0.60 )
+ upnp? ( >=net-libs/gupnp-0.13:0= )
+ xattr? ( sys-apps/attr )
+"
+
+RDEPEND="${COMMON_DEPEND}
+ mate-base/mate-desktop
+ cdr? ( >=app-cdr/brasero-2.32.1:= )
+ gajim? ( net-im/gajim )
+ image-converter? (
+ || (
+ media-gfx/imagemagick
+ media-gfx/graphicsmagick[imagemagick]
+ )
+ )
+ pidgin? ( net-im/pidgin )
+"
+
+DEPEND="${COMMON_DEPEND}
+ dev-libs/libxml2
+ dev-util/gtk-doc
+ dev-util/gtk-doc-am
+ >=sys-devel/gettext-0.19.8
+ virtual/pkgconfig
+ !!mate-extra/mate-file-manager-open-terminal
+ !!mate-extra/mate-file-manager-sendto
+ !!mate-extra/mate-file-manager-image-converter
+ !!mate-extra/mate-file-manager-share
+"
+
+src_configure() {
+ local sendto_plugins="removable-devices"
+ use cdr && sendto_plugins+=",caja-burn"
+ use mail && sendto_plugins+=",emailclient"
+ use pidgin && sendto_plugins+=",pidgin"
+ use gajim && sendto_plugins+=",gajim"
+ use upnp && sendto_plugins+=",upnp"
+
+ mate_src_configure \
+ --enable-sendto \
+ --with-sendto-plugins=${sendto_plugins}\
+ --disable-gksu \
+ $(use_enable image-converter) \
+ $(use_enable open-terminal) \
+ $(use_enable share) \
+ $(use_enable wallpaper) \
+ $(use_enable xattr xattr-tags)
+}